Get export job status

Check the status of an export job. This endpoint is returned in the statusUrl field of the response to a generate export requests (e.g., /reports/report/author).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

Retrieves the status of an export run job. See Analytics Reports API quickstart for more details.

Every export generation endpoint (such as /reports/report/author ) returns a statusUrl field that includes the version of the /reports/report/<workflowId>/<runId>/status endpoint that includes the workflowId, runId, and analyticsAccessToken specific to that job.

When you make a request to the endpoint, look for a result.runnerState of CLOSED and a result.detail of COMPLETED. When these conditions are met, make a GET request to the endpoint in the downloadUrl field in the response to download the export.

🚧

Important

Until the result.runnerState is CLOSED and the result.detail is COMPLETED, you will not see a value for downloadUrl because the export job is not finished or has not finished successfully. If the export job is not finished, wait for a while and then run the statusUrl endpoint again. Export job run times vary.

Path Params
string
required

The workflowId returned in the response to a export generation request (e.g., /reports/report/author).
Example: f71ccb0c-afdc-32c6-8bfd-443f8eabae87

string
required

The runId returned in the response to a export generation request (e.g., /reports/report/author)
Example: 23nUak09Gc3t5K65L3GMQ3Y1onNYtvSsfUSuqEO0+pkHA=

Query Params
string
required

The access token returned in the statusUrl field of the response to a export generation request (e.g., /reports/report/author)

Response

Language
LoadingLoading…
Response
Choose an example:
application/json